#ifndef _DEBUG
#pragma comment( linker, "/subsystem:\"windows\" /entry:\"mainCRTStartup\"" )
#endif // DEBUG

#include "OpenGLController.h"
#include "Object.h"
#include <iostream>
#include <Windows.h>

int main(int argc, char** argv)
{
	OpenGLController* scene = NULL;

	if (argc == 3)
	{
		int major = atoi(argv[1]);
		int minor = atoi(argv[2]);
		scene = OpenGLController::getInstance(major, minor);
	}
	else
		scene = OpenGLController::getInstance();


	goto openGL;

	try {
		Object obj("..\\Release\\Msh\\cubeTex.msh");
	}
	catch (std::invalid_argument e)
	{
		std::cout << e.what() << std::endl;
	}
	
	system("pause");


	return 0;

openGL:

	scene->loadMsh("..\\Release\\Msh\\houseWOnull.msh");

	do {
		scene->updateScene();
	} while (!glfwWindowShouldClose(scene->getWindow()));

	delete scene;

	return 0;
}